Skip to main content
GET
List Supplier Switches

Authorizations

Authorization
string
header
required

Query Parameters

id
string<uuid> | null

Only the supplier switch with this identifier.

accounting_point_id
string<uuid> | null

Only switches of the accounting point with this Engrate identifier.

market
string | null

Only switches in this market.

Allowed value: "DE"
accounting_point_market_identifier
string | null

Only switches of the accounting point with this market identifier. In Germany, the MaLo-ID.

Example:

"26611699793"

state
enum<string> | null

Only switches in this state.

Available options:
pending,
requested,
accepted,
effected,
rejected,
cancelled,
superseded
effective_date_from
string<date> | null

Only switches with an effective date on or after this date.

effective_date_to
string<date> | null

Only switches with an effective date on or before this date.

Response

Successful Response

items
DeSupplierSwitch · object[]
required

The supplier switches that match the filters, oldest first.